﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Telerik.Windows.Controls;

namespace PhoneApp4
{
	public partial class MainPage : PhoneApplicationPage
	{
		// Constructor
		public MainPage()
		{
			InitializeComponent();

			this.SetValue(InteractionEffectManager.IsInteractionEnabledProperty, true);



		}


		private void grdBtn_ManipulationCompleted(object sender, ManipulationCompletedEventArgs e)
		{
			this.SetValue(RadTileAnimation.ContainerToAnimateProperty, grdBtn);
			this.SetValue(RadTileAnimation.ElementToDelayProperty, ElementToAnimate);

			RadTileAnimation tileAnimation = new RadTileAnimation();
			tileAnimation.InOutAnimationMode = Telerik.Windows.Controls.Animation.InOutAnimationMode.Out;
			tileAnimation.Ended += new EventHandler<EventArgs>(tileAnimation_Ended);
			RadAnimationManager.Play(this, tileAnimation);
		}

		void tileAnimation_Ended(object sender, EventArgs e)
		{
			ElementToAnimate.Visibility = Visibility.Collapsed;
		}
	}
}